/* 
 * File:   markov_seeds.h
 * Author: Rishi Singhal, William Salcedo, Raghav Kumar
 *
 * Created on May 13, 2021, 8:27 PM
 */

#ifndef MARKOV_SEEDS_H
#define	MARKOV_SEEDS_H

#ifdef	__cplusplus
extern "C" {
#endif
const unsigned char note_seeds [87][3] = 
{{ 0, 0, 1},
 { 0, 1, 8},
 { 0, 3, 1},
 { 0, 5, 1},
 { 0, 7, 2},
 { 0, 8, 1},
 { 1, 1, 1},
 { 1, 1, 3},
 { 1, 1, 5},
 { 1, 1, 8},
 { 1, 3, 5},
 { 1, 5, 1},
 { 1, 5, 3},
 { 1, 5, 5},
 { 1, 5, 8},
 { 1, 8, 1},
 { 1, 8, 3},
 { 1, 8, 5},
 { 1, 8, 8},
 { 3, 0, 0},
 { 3, 0, 1},
 { 3, 0, 3},
 { 3, 0, 5},
 { 3, 0, 8},
 { 3, 1, 8},
 { 3, 3, 0},
 { 3, 3, 1},
 { 3, 3, 3},
 { 3, 3, 5},
 { 3, 3, 8},
 { 3, 5, 0},
 { 3, 5, 1},
 { 3, 5, 8},
 { 3, 8, 0},
 { 3, 8, 1},
 { 3, 8, 3},
 { 3, 8, 5},
 { 3, 8, 8},
 { 5, 0, 7},
 { 5, 1, 1},
 { 5, 1, 3},
 { 5, 1, 5},
 { 5, 1, 8},
 { 5, 3, 5},
 { 5, 5, 1},
 { 5, 5, 3},
 { 5, 5, 5},
 { 5, 5, 8},
 { 5, 6, 7},
 { 5, 8, 1},
 { 5, 8, 3},
 { 5, 8, 5},
 { 5, 8, 8},
 { 6, 7, 8},
 { 7, 8, 9},
 { 7, 9,10},
 { 8, 0, 0},
 { 8, 0, 1},
 { 8, 0, 3},
 { 8, 0, 5},
 { 8, 0, 8},
 { 8, 1, 1},
 { 8, 1, 3},
 { 8, 1, 5},
 { 8, 1, 8},
 { 8, 3, 0},
 { 8, 3, 1},
 { 8, 3, 3},
 { 8, 3, 5},
 { 8, 3, 8},
 { 8, 5, 1},
 { 8, 5, 3},
 { 8, 5, 5},
 { 8, 5, 8},
 { 8, 8, 0},
 { 8, 8, 1},
 { 8, 8, 3},
 { 8, 8, 5},
 { 8, 8, 8},
 { 8, 9,10},
 { 9,10,10},
 { 9,10,11},
 {10, 5, 6},
 {10,10, 5},
 {10,10,10},
 {10,11, 8},
 {11, 8, 1}};
const unsigned char duration_seeds [10][2] = 
{{1,1},
 {1,1},
 {1,1},
 {1,1},
 {1,1},
 {1,1},
 {1,1},
 {1,1},
 {1,1},
 {1,1}};
const unsigned char octave_seeds [97][2]= 
{{0,0},
 {0,1},
 {1,0},
 {1,1},
 {0,1},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {1,0},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {0,0},
 {0,1},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {0,1},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {0,1},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {1,1},
 {1,1},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {0,0},
 {0,1},
 {1,0},
 {1,1},
 {1,1},
 {1,1},
 {1,1},
 {1,1},
 {1,1},
 {1,1}};
#ifdef	__cplusplus
}
#endif

#endif	/* MARKOV_SEEDS_H */

